Subject: RE: [Enum] FW: Last Call or New Draft? - .arpa or .e;164.itu.in t ?

From: "Anne Brown" <[email-masked]>
Date: Fri, 14 Jul 2000 15:11:58 -0500

Michael,

We are, hopefully, providing information on more services than just
telephone calls.  For example, voice messaging over the Internet using SMTP.

Regards,

Anne Brown
Nortel Networks
[email-masked]
+1 613 765 5274

 -----Original Message-----
From: 	Michael Mealling [mailto:[email-masked]] 
Sent:	July 14, 2000 2:09 PM
To:	David P. Peek
Cc:	Patrik Fältström; [email-masked]; [email-masked]
Subject:	Re: [Enum] FW: Last Call or New Draft? - .arpa or
.e;164.itu.in t ?

On Fri, Jul 14, 2000 at 11:39:20AM -0400, David P. Peek wrote:
> With the way ENUM requirements are defined today the Fältström draft
> supports these requirements by returning all the services based on a
query.
> 
> I agree that there are scalability issues with this approach that is why
the
> http://search.ietf.org/internet-drafts/draft-peek-enum-itd-00.txt draft
> supports 'application specific queries' which allows specific service
> information to be retrieved separately based on a known service ("Service
> Protocal") thereby limiting the amount of information returned solving the
> scalability issue. (ie. sip.x.x.x.x.x.x.e164.arpa)

I've heard this several times but I've never seen a single example
of anything that advertises more than a small handful of services.
How many different ways are there to make a telephone call these days
anyway?

-MM

-- 
----------------------------------------------------------------------------
----
Michael Mealling	|      Vote Libertarian!       |
www.rwhois.net/michael
Sr. Research Engineer   |   www.ga.lp.org/gwinnett     | ICQ#:
14198821
Network Solutions	|          www.lp.org          |
[email-masked]

_______________________________________________
enum mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/enum

---

From: Michael Mealling <[email-masked]>
Date: Fri, 14 Jul 2000 16:06:58 -0400

> telephone calls.  For example, voice messaging over the Internet using

Cool. Ok, that's one. I've seen some SIP stuff. That's two. Any more?

-MM

-- 
--------------------------------------------------------------------------------
Michael Mealling	|      Vote Libertarian!       | www.rwhois.net/michael
Sr. Research Engineer   |   www.ga.lp.org/gwinnett     | ICQ#:         14198821
Network Solutions	|          www.lp.org          |  [email-masked]

---

From: Patrik Fältström <[email-masked]>
Date: Fri, 14 Jul 2000 13:38:42 -0700

>Cool. Ok, that's one. I've seen some SIP stuff. That's two. Any more?

I guess that michaels point is that he and myself can not see any use 
for more than a handfull of NAPTR RRs for each owner, because the 
detailed resolution for example given a SIP URI should be handled 
inside the SIP protocol itself.

So, what we ask for is some more explicit arguments about why this 
will not scale than just those words.

Two people have said that this will not scale without being able to 
query directly for the protocol, and we want to know why.

IF it doesn't scale, it would be much more natural to query for a 
specific service, not protocol, but I want to save this discussion 
until I understand what problem we are going to solve.

    paf

---

From: Graham Klyne <[email-masked]>
Date: Mon, 17 Jul 2000 09:47:17 +0100

>Cool. Ok, that's one. I've seen some SIP stuff. That's two. Any more?

I guess Internet fax would be another.  Text messaging (SMS etc) would be 
another.

#g

------------
Graham Klyne
([email-masked])